
-----------------------   Revision History ---------------------------

As a service to users who are upgrading from an older version of AutoCAD 
(and for trivia aficionados), the following sections contain a brief 
list of the changes incorporated in each major release. Minor updates 
are often released between major versions to fix bugs and introduce new 
device support.

=========================
Release 13, November 1994
=========================

Windows Enhancements
--------------------

Screen Layout

The AutoCAD interface consists of standard Windows user-interface 
components, similar to those used in other Windows applications. You can 
customize the size and placement of most components.

Floating Toolbars

A floating toolbar is a collection of commands organized by category, 
for example, Draw, Modify, or Dimensioning. You can customize and resize 
the toolbars or drag and drop tools from one toolbar to another. There 
is an icon editor. You can dock the toolbars at the edges of the drawing 
area. 

Flyouts

Flyouts allow you to choose several different commands from the same 
place on the toolbar. The flyout contains either variations of a drawing 
command, such as the different ways to draw a circle, or it contains a 
group of related commands.

Layer and Linetype Display

The Object Properties toolbar contains a new display for easier control 
of layer and linetype settings.

ToolTips

ToolTips label the different commands on the toolbars. You see the 
ToolTip whenever you hold the pointer for a second or two over an icon 
in one of the toolbars. AutoCAD also provides more detailed descriptions 
on the status bar.

Command Window 

The command window and the drawing area are separate, floating, and 
scrollable windows. You can use the scroll bars to pan around your 
drawing. The command line and the AutoCAD text window have been combined 
(the F2 key toggles between the two sizes). You can dock the command 
window above or below the drawing area. Cutting and pasting from the 
text window to the command window is easy.

New Menu System 

The menu has been simplified; most commands are now available on 
toolbars. However, you can load a "full" menu that resembles those in 
previous releases. If you use customized menus, you no longer have to 
substitute your menu for the AutoCAD menu.   Instead, you can add new 
items anywhere on the AutoCAD menu. This system prevents possible menu 
conflicts between different third-party programs.

OLE

AutoCAD for Windows acts as an OLE (Object Linking and Embedding) client 
as well as a server. This two-way linking makes it easy to embed objects 
from other Windows applications in your AutoCAD drawings.

Command Reference

The complete AutoCAD Command Reference in on-line format puts detailed 
information on every AutoCAD command at your fingertips. Electronic 
copies of all the AutoCAD documentation are included on the CD version.

Learning AutoCAD

The Learning AutoCAD for Windows is an on-line tutorial that contains 
ten lessons, designed to help new users master the fundamental AutoCAD 
commands. Each lesson focuses on a particular aspect of AutoCAD. An 
animated Demo button in each exercise shows how the drawing in that 
exercise is created. Learning AutoCAD for DOS and UNIX is a printed 
document.

Quick Tour

The Quick Tour introduces new users to the basic concepts of AutoCAD. 
The topics covered include:

   AutoCAD Basics
   2D Drawing
   3D Drawing and Viewing
   Printing and Plotting
   Rendering

New ADS and AutoLISP Functionality

For information on new ADS functionality, see the AutoCAD Developer's 
Guide. For information on new AutoLISP functionality, see the AutoCAD 
Customization Guide.

Enhancements on All Platforms
-----------------------------

Purge at Any Time

The PURGE command deletes unreferenced blocks, layers, linetypes, and 
dimension and text styles from the drawing database. In earlier releases 
of AutoCAD, the PURGE command had to be the first command issued in a 
drawing session. You can issue the command at any time.

Nonuniformly Scaled Block

You can explode a block that has a different X and Y scaling factor.

Drawing Preview

You don't have to open or attach a drawing to see what it looks like. A 
preview area in the dialog box displays an image of the selected drawing. 

Multiline Text Editing

Release 13 introduces paragraph-oriented text handling to AutoCAD. You 
have full control over the formatting of the text. A dialog box allows 
you to assign fonts, apply color, and copy, cut, and paste text within 
the text object. Stacked fractions are supported. In the drawing, the 
lines of text flow within a rectangular boundary of a fixed width.

Spelling Checker

Spelling errors in drawings can be embarrassing. Release 13 provides a 
built-in spelling checker.   You can run the spelling check on existing 
text objects in your drawing or on multiline text objects as you create 
them. Suspect words are automatically highlighted, together with 
suggested corrections.

TrueType Font Support

AutoCAD can now use TrueType and PostScript Type 1 fonts as well as 
standard PostScript fonts. User preferences control whether these fonts 
are displayed as filled shapes or as outlines.

Standards Support

Release 13 contains many enhancements for better support of local and 
user-defined drafting standards. You can add geometric tolerances to the 
text and dimensions in your drawings by means of a new Tolerances dialog 
box. AutoCAD contains a complete set of ready-defined blocks for 
standard arrows and tick marks. 

Dimensioning Styles

Dimension styles are more complete, more flexible, and easier to use.

Dimension Style Overrides

All dimensions have a named style assigned to them. You can modify the 
style of any dimension object (per-object override) or modify the style 
of a series of dimensions (running override).

Dimension Style Families

You can create a set of related dimension styles for different dimension 
types in the same drawing (for example, angular and linear).

Annotation

Multiple lines of annotation and per-character attributes are possible 
with multiline text features. 

Leaders

Leader dimensions are separate objects in Release 13. Leaders consist of 
arrowheads, lines, and annotation.

Access to Properties

New dialog boxes give you quick and easy access to dimension properties. 
Graphical displays show what components such as arrowheads and center 
lines look like as you create them.

Usability Enhancements
----------------------

Linear Dimensions

You don't need to specify whether the linear dimension you want to draw 
is horizontal or vertical. AutoCAD infers the direction when you specify 
the first point.

Dynamic Editing

You can reposition dimension components dynamically using standard 
AutoCAD editing commands. 

Mainstream Dimension Commands

Individual dimensioning commands such as DIMLINEAR and DIMCONTINUE are 
available at the same level as other AutoCAD commands rather than as 
options of the DIM command.

Associative Hatching

Associative hatching is hatching that is tied to its defining geometry. 
When you change the geometry, the hatch pattern automatically adapts to 
the changes.

Hatch Editing

Use the new HATCHEDIT command to change hatch patterns, angles, spacing, 
and so on, without having to erase and redo the hatch.

Boundary Hatching

The HATCH command automatically detects interior shapes and text in the 
objects to be hatched. The HATCH command has a new option called Direct. 
You can use it to draw and hatch a polyline with a single command.

New Object Snaps

Release 13 includes three new object snaps: Extended Intersection, 
Apparent Intersection, and Relative Point.

EXTEND, LENGTHEN, and TRIM

Enhancements to the EXTEND and TRIM commands allow you to extend and 
trim objects to their implied intersection with other objects. The new 
LENGTHEN command extends a line a specified length, by a percentage, or 
dynamically.

FILLET and CHAMFER

Release 13 adds the ability to fillet parallel lines. You can fillet or 
chamfer intersecting lines and polylines.

Object Grouping

You can group objects together with the new GROUP command. Grouped 
objects are logically related and are selected together as one object. 
With this command, you can create named selection sets.

New Objects

Earlier releases of AutoCAD approximated an ellipse by drawing a 
polyline through the points you specified. You can draw a true 
geometrical ellipse. Release 13 has a new SPLINE command to draw true 
splines defined as NURBS (Non-Uniform Rational B-Spline) curves. Grips 
work with both splines and ellipses. 

Multiple Parallel Lines

Multiple parallel lines or multilines consist of up to sixteen parallel 
lines, offset from one another by a distance you specify. You can 
specify the properties of each line element and control intersections, 
corner joints, and end caps. You can also clean up the intersections of 
multilines after you draw them.

Construction Geometry 

Construction geometry support consists of two new AutoCAD commands, 
XLINE and RAY. Xlines and rays are lines that extend to infinity in one 
or both directions. You can use them as a reference to create other 
objects by creating temporary construction lines to snap to. Xlines and 
rays have no effect on the extents of the drawing. Zooming and changing 
the view has no effect on them.

Linetype Enhancements

Linetypes have been extended to incorporate shapes and text. The 
linetypes that come with AutoCAD include a full set of ISO standard 
linetypes. You can apply a linetype scaling factor to individual objects.

Native AutoCAD Solids

Solid modeling is a quick way to build 3D models. You can make 
interference or other volume calculations, or add and subtract volumes 
to create new solids. Solids are represented as native AutoCAD objects. 
They behave like other AutoCAD objects and compute faster than AME 
(AutoCAD Modeling Extension) solids. Release 13 has a new command to 
convert AME models to AutoCAD solid objects.

Solid Primitives

Solid primitives are the basic building blocks that make up more complex 
solid models. AutoCAD Release 13 includes six primitives: box, sphere, 
cone, cylinder, wedge, and torus.

Boolean Operations

Boolean operations create a composite solid from two or more solids.

Swept Solids

You can also create new solids by extruding an object (adding height) or 
by revolving an object (sweeping about an axis).

Rendering Enhancements

Rendering enhancements in Release 13 include the following:

   Spotlights
   Colored lights
   Light attenuation
   Phong and Gouraud rendering
   Wide variety of file formats for saved images
   3D Studio file import and export

Command List
------------

This section contains an alphabetical list of new, changed, and deleted 
commands in Release 13 of AutoCAD.   For a complete description of any 
of these commands, please refer to the AutoCAD Command Reference. For 
the revision history of AutoCAD releases up to Release 12, refer to this 
file.

Changed Commands ---

APPLOAD

Supports loading of ARX applications.

AREA

Now measures area for spline curves, regions, solids and third-party 
objects.

ASEADMIN

Command that manipulates the new SQL2 standard's database objects. It 
replaces the functionality of the deleted Release 12 administrative 
commands: ASESETDBMS ASESETDB, ASESETTABLE, ASEERASETABLE, ASECLOSEDB, 
ASEERASEDB, ASEERASEDBMS, ASEERASEALL, ASEPOST, ASERELOADDA

ASEEXPORT

Changed from the Release 12 version by including a graphical user 
interface dialog box in addition to the command line interaction.

ASELINKS

Command that replaces the functionality of these deleted Release 12 
commands; ASEDELLINK, ASEEDITLINK, ASEVIEWLINK.

ASEROWS

Command that performs table query operations and makes links to drawing 
objects. It replaces the functionality of these deleted Release 12 
commands: ASEADDROW, ASEDELROW, ASEEDITROW, ASEQEDIT, ASEQVIEW, 
ASEVIEWROW, ASEMAKEDA, ASEMAKELINK, ASEQLINK, ASEQMAKEDA. Scrollable 
cursors are no longer automatically enabled.

ASESELECT

Includes a graphical user interface dialog box in addition to the 
command line interaction. No longer calls ASEEXPORT. Allows multiple 
logical operations.

ASESQLED

An Autocommit option that enables a COMMIT or ROLLBACK to be performed 
on individual transactions. Scrollable cursors are no longer 
automatically enabled. Operates independently of link information.

BHATCH

Creates associative hatch patterns.

Uses island detection to add internal objects to the hatch boundary.

Command line interface added.

BMPOUT

Replaces SAVEDIB

BPOLY 

Renamed to BOUNDARY.

Uses island detection to add internal objects to the boundary object. 
Command line interface added.

BREAK

The extrusion direction of the object you select no longer needs to be 
parallel to the Z axis of the current UCS.

CHAMFER

New options: Angle, Trim, and Method. The extrusion direction of the 
object you select no longer needs to be parallel to the Z axis of the 
current UCS.

CHANGE

Added functionality to allow object linetype scaling. The ltScale 
suboption has been added to the Properties option.

CHPROP

Added functionality to allow object linetype scaling. The ltScale option 
has been added.

CONFIG

On DOS systems, option 12 "Server authorization and file locking," in 
the Operating parameters menu of the AutoCAD configuration has been 
changed to option 11 "File locking." This is due to the removal of 
server authorization. On DOS systems, option 10 "Select R11 hidden line 
removal algorithm" has been removed.

COPYCLIP

Copies all supported formats to the Clipboard

COPYLINK

Creates a drawing view that can be linked to other applications.

DDCHPROP

Added functionality to allow linetype scaling. The Linetype Scale text 
box has been added to the Change Properties dialog box.

DDEDIT

Edits mtext objects in addition to text and attributes.

DDEMODES

Supports linetype scaling per object.

DDIM

Dimension styles are now more complete, more flexible, and easier to 
use. For example, graphical displays show what components such as 
arrowheads, center marks and lines, and dimension text placement look 
like as you modify them. All dimensions now have a named style assigned 
to them.

You can create dimension style overrides on specific dimension objects 
or on a series of dimensions.

You can create a set of related dimension style families for different 
dimension types in the same drawing, for example: linear, angular, 
ordinate, etc.

Dimension text can consist of multiple lines and can include per-
character attributes through the new MTEXT command.

Enhanced support for international and user-defined drafting standards. 
For example, an expanded set of ready-defined blocks for arrowheads and 
support of a variety of international standards for the placement of 
dimension text.

DDMODIFY

Provides dialogs for several new objects and supports linetype scaling 
per object.

DDOSNAP

New Apparent Intersection and Clear All options. 

DDRMODES

New option: Group.

DDSELECT

New Object Grouping option.

DIVIDE

Updated to support new objects such as ellipses and elliptical arcs.

DSVIEWER

Improved user interface.

ELLIPSE

Creates true ellipses in addition to polyline representations. New Arc 
option.

EXPLODE

Explodes nonuniformly scaled blocks.

EXTEND

New options: Project and Edge. The extrusion direction of the object you 
select no longer needs to be parallel to the Z axis of the current UCS.

FILLET

New option: Trim. The extrusion direction of the object you select no 
longer needs to be parallel to the Z axis of the current UCS.

FREEPLOT

No longer supported.

HATCH

New direct hatch option lets you specify a hatch boundary without the 
need for existing objects.

LIGHT

New option: Color.

LIST

Updated to support new objects and line weight.

MEASURE

Updated to support new objects.

OFFSET

The extrusion direction of the object you select no longer needs to be 
parallel to the Z axis of the current UCS.

OSNAP

New apparent intersection running object snap mode.

PASTECLIP

Handles all normal Clipboard paste operations.

PLOT

You can control the way plots are rotated with the PLOTROTMODE system 
variable. When PLOTROTMODE is set to 1 (the default), the lower-left 
corner of the effective plotting area aligns with the lower-left corner 
of the paper. When PLOTROTMODE is set to 0, AutoCAD rotates the 
effective plotting area so that the corner with the rotation icon aligns 
with the paper at the lower-left for 0, top-left for 90, top-right for 
180, and lower-right for 270.

On Windows systems, the Size button in the Paper Size and Orientation 
area of the PLOT dialog box is disabled. Paper sizes for Windows systems 
are controlled by the Window's Control Panel.

Freeplotting (acad -p) has been discontinued.

PREFERENCES

Two new dialog box designs; one for DOS and one for Windows.

PURGE

Purges objects at any time during a drawing session.

RCONFIG

New option: Configure Render window.

RENDER

New dialog box. New option added to Destination area: Render Window.

RMAT

Replaces FINISH with a new dialog box. New options: Preview, Materials 
Library, and By Layer.

RPREF

New options: Rendering Procedures and Lights. The Color Map Usage option 
is now Screen Palette.

SAVEDIB 

Renamed to BMPOUT.

SELECT

New Group option.

STATS

New dialog box that no longer displays Cyclic overlaps corrected, 
Triangles chopped, Original extents, and Projected extents.

STLOUT

The command name changed from SOLSTLOUT. The messages have been removed, 
and the prompt for the STL file name has changed. 

TRIM

New Project and Edge options. The extrusion direction of the object you 
select no longer needs to be parallel to the Z axis of the current UCS.

WMFIN

On Windows systems, you can import metafiles using the IMPORT command.

WMFOUT

On Windows systems, you can export metafiles using the EXPORT command.

XREF

Xrefs can be overlaid—first-level only and non-nested. Overlaid xrefs 
are ignored if they're nested. This enhanced functionality allows you to 
see how your drawing relates to the drawings of other groups without 
changing your drawing or creating circular referencing.

The Overlay option has been added.

New Commands ---

3D

Creates three-dimensional polygon mesh objects.

3DSIN

Imports a 3D Studio file. 

3DSOUT

Exports a 3D Studio file.

ACISIN

Imports an ACIS file.

ACISOUT

Exports AutoCAD solid objects to an ACIS file. 

AMECONVERT

Converts AME solid models to AutoCAD solid objects. 

ASEADMIN

Performs administrative functions for external database commands.

ASELINKS

Manipulates links between objects and external database data.

ASEROWS

Manipulates external database table data.

BOX

Creates a three-dimensional solid box. 

BOUNDARY

Creates a region or polyline of a closed boundary, formerly BPOLY.

CONE

Creates a three-dimensional solid cone.

COPYHIST

Copies text from the command line history window to the Clipboard.

CUTCLIP

Copies objects to the Clipboard and erases them from the drawing.

CYLINDER

Creates a three-dimensional solid cylinder.

DDCOLOR

Sets the color for new objects.

DDLTYPE

Loads and sets linetypes.

DIMALIGNED

Creates an aligned linear dimension.

DIMANGULAR

Creates an angular dimension.

DIMBASELINE

Continues a linear, angular, or ordinate dimension from the baseline of 
the previous or selected dimension.

DIMCENTER

Creates the center mark or the center lines of circles and arcs.

DIMCONTINUE

Continues a linear, angular, or ordinate dimension from the second 
extension line of the previous or a selected dimension.

DIMDIAMETER

Creates diameter dimensions for circles or arcs.

DIMEDIT

Edits dimensions.

DIMLINEAR

Creates linear dimensions.

DIMORDINATE

Creates ordinate point dimensions.

DIMOVERRIDE

Overrides dimension system variables.

DIMRADIUS

Creates radial dimensions for circles and arcs.

DIMSTYLE

Creates and modifies dimension styles at the command line.

DIMTEDIT

Moves and rotates dimension text.

EXTRUDE

Creates solids by extruding existing AutoCAD two-dimensional objects. 

GROUP

Creates a named selection set of objects.

HATCHEDIT

Modifies an existing associative hatch block.

INSERTOBJ

Inserts a linked or embedded object.

INTERFERE

Finds the interference of two or more solids and creates a composite 
solid from their common volume.

INTERSECT

Uses the interference of solids to create a composite solid. 

LEADER

Creates a line that connects annotation to a feature.

LENGTHEN

Lengthens an object.

LOGFILEOFF

Closes the log file opened by LOGFILEON 

LOGFILEON

Writes the text window contents to a file. 

MAKEPREVIEW

Allows previewing of pre-Release 13 drawings by creating a separate 
preview file in the same directory as the current drawing file.

MATLIB

Imports and exports materials to and from materials library.

MENULOAD

Loads partial menu files. 

MENUUNLOAD

Unloads partial menu files. 

MLEDIT

Edits multiple, parallel lines.

MLINE

Creates multiple, parallel lines.

MLSTYLE

Defines a style for multiple, parallel lines.

MTEXT

Creates paragraph text. 

MTPROP

Changes paragraph text properties.

OLELINKS

Updates, changes, and cancels existing links.

PASTESPEC

Inserts data from the Clipboard and controls the format of the pasted 
data.

RAY

Creates a semi-infinite line. 

REGION

Creates a region object from a selection set. 

REVOLVE

Creates a solid by rotating a two-dimensional object about an axis.

SAVEASR12

Saves the current drawing in AutoCAD Release 12 format.

SECTION

Uses the intersection of a plane and solids to create a region.

SLICE

Slices a set of solids with a plane. 

SPELL

Checks spelling in a drawing.

SPHERE

Creates a three-dimensional solid sphere.

SPLINE

Creates a quadratic or cubic spline (NURBS) curve.

SPLINEDIT

Edits a spline object.

STLOUT

Stores a solid in an ASCII or binary file.

SUBTRACT

Creates a composite region or solid by subtracting the area of one set 
of regions from another and subtracting the volume of one set of solids 
from another. 

SYSWINDOWS

Arranges windows.

TBCONFIG

Creates and customizes toolbars.

TOLERANCE.

Creates geometric tolerances.

TOOLBAR

Displays, hides, and positions toolbars.

TORUS

Creates a doughnut-shaped solid.

UNION

Creates a composite region or solid. 

VLCONV

Converts Visual Link rendering data to a form usable by AutoVision.

WEDGE

Creates a three-dimensional solid with a sloped face tapering along the 
X axis.

XLINE

Creates an infinite line. 

Deleted Commands ---

ASCTEXT

ASEADDROW

ASECLOSEDB

ASEDELLINK

ASEDELROW

ASEEDITLINK

ASEEDITTROW

ASEERASEALL

ASEERASEDB

ASEERASEDBMS

ASEERASETABLE

ASEINIT

ASEMAKEDA

ASEMAKELINK

ASEPOST

ASEQEDIT

ASEQLINK

ASEQMAKEDA

ASEQVIEW

ASERELOADDA

ASESETDB

ASESETDBMS

ASESETROW

ASESETTABLE

ASETERM

ASETERMDBMS

ASEVIEWLINK

ASEVIEWROW

BPOLY (renamed to BOUNDARY)

COPYIMAGE

DDSOLMASSP

DDSOLMAT

DDSOLPRIM

DDSOLVAR

DL

DLINE

FILMROLL

IGESIN

IGESOUT

INSRTSOL

PLUD

SAVEDIB (renamed to BMPOUT)

SOLAREA

SOLCHP

SOLFEAT

SOLIDIFY

SOLINT

SOLLIST

SOLMESH

SOLMOVE

SOLPURGE

SOLSEP

SOLUCS

SOLVAR

SOLWIRE

TOOLBOX

WBLKSOL

New System Variables ---

CELTSCALE

CHAMFERC        

CHAMFERD        

CHAMMODE        

CMLJUST 

CMLSCALE        

CMLSTYLE        

DCTCUST

DCTMAIN

DELOBJ  

DIMALTTD        

DIMALTTZ        

DIMALTU 

DIMALTZ 

DIMAUNIT        

DIMDEC  

DIMFIT  

DIMJUST 

DIMSD1  

DIMSD2  

DIMTDEC 

DIMTOLJ 

DIMTXSTY        

DIMTZIN 

DIMUNIT 

DIMUPT  

DISPSILH        

EDGEMODE        

EXPLMODE        

FACETRES        

FFLIMIT

FONTALT

FONTMAP

HPBOUND 

ISOLINES        

LOCALE

MTEXTED

PELLIPSE         

PICKSTYLE       

PLOTROTMODE     

PROJMODE        

TEXTFILL        

TEXTQLTY        

TOOLTIPS (Windows only)

TRIMMODE        

Changed System Variables

CMDDIA  

DIMAPOST        

DIMBLK  

DIMBLK1 

DIMBLK2 

DIMPOST 

DIMTAD  

DRAGMODE        

DRAGP1  

DRAGP2  

DWGCODEPAGE     

EXTMAX  

EXTMIN  

FILEDIA 

FILLMODE        

FRONTZ  

GRIPS   

LENSLENGTH      

LIMCHECK        

LIMMAX  

LIMMIN  

MAXACTVP        

REGENMODE       

SCREENBOXES     

SCREENMODE      

SCREENSIZE      

SORTENTS        

SYSCODEPAGE     

TILEMODE        

TREEDEPTH       

TREEMAX 

UCSICON 

VIEWCTR 

VIEWDIR 

VIEWMODE        

VIEWSIZE        

VIEWTWIST       

VSMAX   

VSMIN   


=====================
Release 12, June 1992
=====================

AutoCAD Release 12 drawings are compatible with AutoCAD Release 11.

The AutoCAD main menu has been eliminated. After initial configuration, 
AutoCAD displays the graphics screen.

The Main menu tasks have been replaced by commands. For example, the NEW 
command starts a new drawing, and the OPEN command opens an existing 
drawing.

Configuration is done with the CONFIG command.

Configuration of AutoCAD without displaying the AutoCAD screen is 
performed with the -r command-line argument (for example, acad -r). 

The OPEN command automatically converts older AutoCAD drawings. 

The pull-down menu has been enhanced:

The menu supports cascading-style submenus.

AutoCAD remembers your last menu item selection.

AutoCAD can disable menu items. 

Menu files have been simplified. The AutoLISP portions of the menu are 
in a separate file. 

The screen menu switches to the appropriate page when you enter a 
command. The MENUCTL system variable controls screen menu switching.

AutoCAD supports a cursor menu that contains Osnap overrides and point 
filters; this menu can invoke the geometry calculator. The cursor menu 
appears at the graphics cursor location when you use the appropriate 
key/-pointing-device button combination. For example, if your mouse has a 
third button, press the third mouse button to display the cursor menu.

The dialog-box interface has been expanded and enhanced. AutoCAD 
supports dialog boxes that let you easily view and change information. 
The information in the dialog box is grouped in logical fashion and 
displayed in an easy-to-read format. 

Commands with the "DD" prefix bring up dialog boxes. For example, 
DDRMODES displays the Drawing Modes dialog box. Other commands such as 
PLOT and SAVEAS also bring up dialogs. Some commands bring up dialog 
boxes based on the CMDDIA and FILEDIA system variables.

These are some of the features that use dialog boxes:

   Dimensioning (DDIM)
   Plotting (PLOT)
   Hatching (BHATCH)
   Object Snap (DDOSNAP)
   File manipulation (OPEN, NEW, SAVEAS, FILES)
   Layer control (DDLMODES)
   Attribute definition (DDATTDEF)

AutoCAD allows you to change the contents of the status line using the 
MODEMACRO system variable.

Dimensioning enhancements include:

Creation of basic dimensions.

Addition of prefix or suffix to dimension text.

Use of the DDIM command to display the status of dimensioning system 
variables in an organized and easy-to-read dialog box format. With this 
set of dialog boxes, dimensioning parameters can be made without having 
to remember the specific dimensioning variable names. 

Visibility of dimension text during creation and placement.

Dimensioning of nested entities is allowed.

AutoCAD can display selection grips that allow you to manipulate the 
selected entity. You can use grips to perform operations such as move, 
stretch, copy, scale, and rotate. You can also perform multiple copy 
operations with each mode.

Grips appear on an entity as small squares. AutoCAD places the grips at 
"defining" locations. For example, the grips for a circle appear at the 
four quadrants and at the center. 

The new DDSELECT command lets you control these items:

Entity sort order. You can specify the order in which entities are drawn.

Noun/verb or verb/noun format for commands that require entity 
selection. With the noun/verb format, you select entities before you 
enter a command. With the verb/noun format, you enter a command before 
you select entities.

Selection set creation. You can use additive entity selection or 
individual entity selection. Additive selection lets you select multiple 
groups of entities; individual selection allows only one group of 
entities.

Window creation for selection sets. You can use either two clicks for 
the window corners or press and drag the window size.

The new BHATCH command was added. It allows you to easily hatch 
irregularly shaped areas enclosed by one or more entities. After picking 
a point in the enclosed area, AutoCAD automatically determines and shows 
you the boundary of the area. For example, you can hatch the area 
created by two overlapping circles. 

The new BPOLY command was added. It allows you to create a Polyline that 
outlines the area enclosed by one or more entities. A polyline can 
easily be created along an irregularly shaped area completely enclosed 
by one or more entities. 

Entity selection enhancements include the following: 

The FILTER command that uses a dialog-box interface to let you filter 
selection sets based on entity properties such as color, layer, and 
location. 

The WPoly and CPoly entity selection options that let you create an 
irregular closed polygon for selecting entities.

The Fence entity selection option that lets you create select entities 
by crossing the entity with a Polyline. 

The All selection option that selects all entities. 

Linetype generation enhancements include the following:

Polylines appear and plot with linetype patterns that flow around 
vertices.

The Linetype patterns can be displayed at a single size in paper space 
viewports regardless of the viewport's scale factor if you set PSLTSCALE 
to 1.

Drawing layers can be locked. You can add entities to a locked layer; 
however, you cannot remove or change entities on a locked layer.

Speed performance has been improved for these commands:

   HIDE 
   PAN and ZOOM 

The DVIEW command uses an improved dynamic rotation interface. 

The number of transparent commands has been increased.

The new CAL command is a geometry calculator.

The new ALIGN, ROTATE3D, and MIRROR3D commands let you easily move 
objects in 3D space.

AutoCAD can be configured to perform timed saves of your drawing. The 
time between saves is set by the SAVETIME system variable.

Plotting enhancements include the following: 

dialog-box interface for plotting setup.

Previewing the plot on screen.

Previewing and adjusting the position of a plot on the selected paper 
size.

Saving a drawing's plot configuration parameters in a file.

Saving up to 29 plotter configurations in the acad.cfg file.

Combining printer plotters with plotters.

Supporting up to 256 pen colors and widths.

Saving drawing-specific information such as pen color and linetype 
assignments in plot configuration parameter (PCP) files.

If you use the AutoCAD network license authorization, you can plot from 
AutoCAD without using a network license by starting AutoCAD with the -p 
command-line argument (for example, acad -p). 

Raster file import/export includes:

Import of common raster-format files such as PCX, TIFF, and GIF using 
the RASTERIN command. You can import raster images into AutoCAD and have 
them appear in the drawing. 

Export raster images of AutoCAD drawings in several formats using the 
PLOT command with your plotter configured as a "Raster file export," an 
Autodesk-supplied plotter driver.

PostScript support lets you do the following: 

Import PostScript files. The PSIN command lets you to import a 
PostScript file, resize the image and display a rendering of the image 
on a screen. Once you have a drawing that has PostScript information, 
you can send it to a PostScript file or printer. The output retains the 
PostScript information. 

Control the quality of the rendered PostScript image. The -PSQUALITY 
system variable lets you adjust the quality of the rendered image. 

Export PostScript files. The PSOUT command lets you export the current 
view of your drawing as a PostScript EPS file. PostScript images and 
fonts are retained. 

Use PostScript Type 1 fonts with text. AutoCAD supports Type 1 fonts in 
outline form and on screen when you plot. With the COMPILE command, 
-AutoCAD can create SHX Shape/Font files from the PostScript PFB font 
files. 

AutoCAD "soft-locks" external references (locks externally referenced 
files during loading).

The REINIT command lets you reinitialize your I/O ports, display, 
digitizer, and acad.pgp the AutoCAD Program Parameters file.

Enhanced digitizer support allows you to calibrate your tablet with 
independent X and Y axis scaling or projective scaling with the TABLET 
command. In projective scaling, the calibrated distance between two 
points on a tablet depends on both the physical distance between the two 
points and their location on the tablet (a limited form of rubber 
sheeting).

AutoCAD Render is included with AutoCAD. Render lets you create rendered 
images of your 3D object within AutoCAD. You can render images to an 
AutoCAD viewport, to full screen on a single-screen display, or to a 
separate window on a dual-screen setup. You can also send rendered 
images out to printers or files. 

Region modeling is included with AutoCAD. Using closed 2D areas you can 
create booleaned regions similar to AME solids. Regions can be edited, 
can contain holes, and can be used to compute area properties and used 
for other analysis.

AutoCAD SQL Extension (ASE)/Autodesk SQL Interface (ASI) is included 
with AutoCAD. ASE supplies ADS interfaces that lets you -establish links 
between AutoCAD and an SQL database. You can also build ADS applications 
between AutoCAD and SQL databases using the Autodesk SQL Interface (ASI).

Advanced Modeling Extension R2.1 is supported by AutoCAD Release 12. 
Improvements in AME R2.1 from AME R1 include region modeling and 
improvements in these areas: solid primitive creation and handling, 
accuracy, performance, support for additional applications such as 
interference analysis, and external application support via API.

The AutoCAD programmable dialog box facility lets you create -AutoCAD 
Development System (ADS) or AutoLISP applications that use AutoCAD 
dialog boxes. For example, you can create dialog boxes that perform 
functions similar to the AutoCAD dialog boxes that display and change 
settings or select files. The code used to create an AutoCAD dialog box 
is platform independent. 

The ADI (Autodesk Device Interface) Version 4.2 upgrade was provided 
primarily to facilitate optimal usage of display drivers when using the 
Render facility in AutoCAD. Other enhancements and bug fixes were also 
made.

SAGET library of extended ADS functions that allow AutoLISP programs to 
access ADS routines.

The PLOT command can be called from ADS and AutoLISP

New ADS functions:

ads_alert displays an alert box with an application-supplied warning 
message.

ads_angtof converts an angle in display format to double precision, 
floating point format.

ads_distof converts a distance in display format to double precision, 
floating point format.

ads_draggen allows you prompt the user to interactively move, rotate, or 
scale entities in a selection set.

ads_getfiled enables an application to use the standard AutoCAD file 
dialog box to prompt for a filename.

ads_getsym and ads_putsym allow you to retrieve and set the value of 
AutoLISP symbols.

ads_grvecs draws multiple vectors on the graphics screen with a single 
call.

ads_nentselp is similar to ads_nentsel but allows point specification 
without user input.

ads_rett allows ADS applications to return the AutoLISP symbol t (true).

ads_tablet retrieves or sets digitizer calibration information.

ads_textbox finds the coordinates of the box that encloses a text entity.

ads_xload, ads_xunload, and ads_loaded allows you to control the loading 
and unloading of ADS applications.

ads_xformss allows you to move, rotate, or scale entities in a selection 
set without invoking an AutoCAD command or applying -ads_entmod.

Programmable dialog-box functions.

Enhanced ADS functions:

ads_entsel/ads_nentsel responds to options or keywords specified with 
ads_initget.

ads_grread provides expanded keyboard and cursor reporting and allows 
control of type of graphics cursor displayed.

ads_initget allows user-input functions to accept arbitrary keyboard 
input.

ads_menucmd returns the menu's grayed-out and marked conditions.

ads_ssget supports fence selection, combinations of group codes, 
relational filtering and conditional filtering.

New AutoLISP functions:

(atoms-family) replaces the atomlist symbol.

(alert) displays an alert box with an applications-supplied warning 
message.

(angtof) converts an angle in display format to double precision, 
floating point format.

(distof) converts a distance in display format to double precision, 
floating point format..

(getfiled)enables an application to use the standard AutoCAD file dialog 
box to prompt for a filename.

(nentselp) is similar to (nentsel) but allows point specification 
without user input.

(tablet) retrieves or sets digitizer calibration information.

(textbox) finds the coordinates of the box that encloses a text entity

Programmable dialog-box functions.

Enhanced AutoLISP functions:

(entsel)/(nentsel) responds to options or keywords specified with 
(initget).

(grread) provides expanded keyboard and cursor reporting and allows 
control of type of graphics cursor displayed.

(initget) allows user-input functions to accept arbitrary keyboard input.

(menucmd) returns menu grayed-out and marked conditions.

(ssget) supports fence selection, combinations of group codes, 
relational filtering and conditional filtering.

New Commands

The following section describes the new commands for AutoCAD Releases 
12. Unless noted otherwise, coordinate input to all commands is relative 
to the current UCS. Commands flagged with a ` prefix can be used 
transparently. 

New commands for Release 12  (continued)

`ABOUT 

Displays banner and acad.msg in a dialog box

BHATCH 

Boundary hatching dialog box

BPOLY 

Creates a Polyline that outlines a closed boundary created by one or 
more entities 

COMPILE

Performs a process formerly done via the Main menu and can compile 
PostScript PFB files

CONFIG 

Starts the AutoCAD configuration process

DDATTDEF

Attribute definition dialog box

DDATTEXT

Attribute extraction dialog box

DDCHPROP

Change entity property dialog box

`DDIM 

Dimension variable dialog boxes

DDINSERT

Insert block dialog box

`DDGRIPS

Grips settings dialog box

`DDOSNAP

OSNAP control dialog box

DDRENAME

Rename named objects dialog box. Allows the use of wildcard characters

`DDSELECT

Entity selection control dialog box

DDUCS

UCS control dialog box

`DDUNITS 

Units of measurement control dialog box

NEW 

Creates a new drawing 

OPEN 

Opens an existing drawing file for editing. Converts and recovers the 
file if necessary

PSDRAG 

Controls the display of an imported PostScript image while you position 
it in the drawing 

PSFILL

Fills a closed Polyline region with a PostScript fill pattern

PSIN

Imports a PostScript graphics file and optionally renders an image of 
the graphic in the drawing

PSOUT

Exports a PostScript graphics file

QSAVE 

Saves current drawing prompting for a name only if the current drawing 
is unnamed

REINIT 

Reinitializes I/O ports, digitizer, display, and the Program Parameters 
file (e.g. acad.pgp) 

SAVEAS 

Saves current drawing to a user-specified file and renames the current 
drawing 

`TREESTAT 

Displays the status of the drawing's oct-tree 

In addition, all of the previously listed commands that permit general 
object selection support the new All, WPolygon, CPolygon, and Fence, 
options to select all entities in the drawing.

There are also new AutoCAD commands with the following Autodesk-supplied 
ADS applications:

AutoCAD SQL Extension 

AutoCAD Render

AutoCAD Region Modeler 

The SQL commands are described in the AutoCAD SQL Extension Reference 
Manual, and the Render commands are described in the AutoCAD Render 
Reference Manual. 

The Region Modeler commands and the following commands are described in 
the AutoCAD Extras Manual. Commands flagged with a ` prefix can be used 
transparently: 

New commands described in the AutoCAD Extras Manual (continued)

ALIGN 

Moves selected objects in 3D space 

`APPLOAD

dialog-box interface to load AutoLISP and ADS applications or unload ADS 
applications 

`CAL 

Geometry calculator 

DDMODIFY

dialog-box interface to view and change entity properties such as 
location, color, layer, linetype, and thickness 

`FILTER 

dialog-box interface that lets you create selection sets based on entity 
properties such as location, color, and layer

GIFIN

Imports GIF-format raster files 

MIRROR3D 

Mirrors objects about a plane in 3D 

PCXIN

Imports PCX-format raster files 

ROTATE3D 

Rotates objects about an axis in 3D 

TIFFIN 

Imports TIFF-format raster files 

Changed Commands

The following section describes changes to existing commands between 
-AutoCAD Releases 11 and 12. Unless noted otherwise, coordinate input to 
all commands is relative to the current UCS. (Commands flagged with a ` 
prefix can be used transparently.)

Command differences in Release 12  (continued)

`APERTURE

Can be used transparently 

ARRAY

The command prompt shows the defaults for rectangular/polar arrays

`ATTDISP

Can be used transparently

`BASE 

Can be used transparently 

`BLIPMODE

Can be used transparently

CHANGE

The command prompt lists the Elev option that lets you change an 
entity's elevation 

CIRCLE 

Sets the CIRCLERAD system variable. The command prompt shows the default 
radius

`COLOR/COLOUR

Can be used transparently 

DBLIST

Displays hatching parameters for hatch blocks if the appropriate Xdata 
is present. Pauses after each screen of text

DDATTE

Improved attribute entity editing dialog box

DDEDIT

Improved text and attribute entity editing dialog box

`DDEMODES

Enhanced dialogs for color, layer control, and text style selection

`DDLMODES

Improved layer control dialog box that includes capability to filter 
layer names and supports locked layers

`DDRMODES

New check boxes for solid fill, quick text, and highlighting selected 
entities added, and axis control removed

`DELAY

Can be used transparently

`DIST

Can be used transparently

DONUT/DOUGHNUT

Sets and uses the DONUTID and DONUTOD system variables. The command 
prompt shows the default donut inside and outside diameter

`DRAGMODE

Can be used transparently (to be dropped in the next release)

DVIEW

Improved dynamic rotation interface. X and Y rotation combined into one 
screen

EXPLODE

Using entity grips, you can explode more than one item at a time. 
EXPLODE places the resulting entities in the Previous selection set

`FILES

Can be used transparently. Allows you to perform file-related utility 
functions such as renaming, deleting, and unlocking a file

`FILL

Can be used transparently

`GRID

Can be used transparently

HATCH

Stores hatching parameters in Xdata of hatch block reference

HIDE

Faster hidden line algorithm

`ID

Can be used transparently

`ISOPLANE

Can be used transparently

`LAYER

Can be used transparently. The Lock and Unlock options have been added 
to the command prompt

`LIMITS

Can be used transparently

`LINETYPE

Can be used transparently

LIST

Displays hatching parameters for hatch blocks if the appropriate Xdata 
is present. Pauses after each screen of text

`LTSCALE

Can be used transparently

`ORTHO

Can be used transparently

`OSNAP

Can be used transparently

PEDIT

Allows control of polyline linetype elaboration. The "Ltype gen" option 
has been added to the command line

PLOT

dialog-box interface and new and enhanced features including: 256-color 
and multiple-line-width support, plot preview, multiple-plotter 
configurations, ADS and AutoLISP support, and improved paper handling 

POLYGON 

Sets POLYSIDES system variable. The command prompt shows the default 
number of polygon sides and inscribed or circumscribed selection

`REGENAUTO

Can be used transparently

`RSCRIPT

Can be used transparently

`SCRIPT 

Can be used transparently and closes the script file when complete

`SNAP 

Can be used transparently

`STATUS 

Can be used transparently. Does not list Axis on/off status 

`STYLE 

Can be used transparently

TABLET

The Calibrate option allows input of more than two sets of points

`TIME 

Can be used transparently. Indicates "Next automatic save in: nnn" if 
automatic saves are enabled

`UNITS 

Can be used transparently

WBLOCK 

All forms preserve entity handles in output

`ZOOM 

Accepts point in response to initial prompt. Assumes the point is the 
first corner of a Window

Deleted Commands

AXIS

PRPLOT 

New System Variables

This section describes the new system variables in AutoCAD Releases 12. 
Values for most system variables are expressed relative to the current 
UCS.

AUDITCTL

Controls whether AUDIT log files (ADT files) are written 

CIRCLERAD

The default circle radius. If negative, the absolute value is used 

CMDACTIVE

A bit code that shows the active status of commands and dialog-boxes. If 
nonzero, a command or dialog box is active 

CMDDIA

Controls whether dialog boxes are used with the PLOT command

CMDNAMES

The active command including any transparent command 

DBMOD

A bit code showing the drawing database modification status. If nonzero, 
the drawing database has been modified

DONUTID

The default donut inside diameter; may be zero. If negative, the 
absolute value is used 

DONUTOD

The default donut outside diameter. Must be nonzero; if negative, the 
absolute value is used. If DONUTID is larger than DONUTOD, the two 
values are swapped by next command

DWGCODEPAGE

The current drawing code page 

DWGTITLED

Indicates drawing title status. Either the drawing has a name (1) or it 
doesn't (0) 

DWGWRITE

Controls the ability to write to the current drawing's file. If it is 0 
(zero), you can edit the current drawing but you cannot update the 
drawing's file. If it is 1 (one), you can update the drawing's file

GRIPBLOCK

Controls the assignment of grips on entities within a block

GRIPCOLOR 

The color of nonselected grips; drawn as a box outline

GRIPHOT 

The color of selected grips; drawn as a filled box

GRIPS

Turns entity grips on and off. With selection set grips, you can move, 
stretch, rotate scale, and mirror entities 

GRIPSIZE 

The size of box drawn to display a grip

HPANG

The default hatch pattern angle 

HPDOUBLE

The default hatch pattern doubling for "U" user-defined patterns 

HPNAME

The default hatch pattern name and hatching style 

HPSCALE

The default hatch pattern scale factor 

HPSPACE

The default hatch pattern line spacing for "U" user-defined patterns 

INSNAME

The default block name for DDINSERT or INSERT command

LOGINNAME

The user's login name 

MACROTRACE

Controls tracing of macro expressions. This is a hidden variable (not 
listed by ordinary SETVAR ?)

MENUCTL

Controls the automatic swapping of the screen menu when a command is 
entered

MODEMACRO

Controls the text in AutoCAD status line. You can specify text such as 
the drawing name, date and time, or special modes

OFFSETDIST

The default offset distance 

PICKADD

Controls how entities are added and removed from a selection set. When 
selecting individual entities, you can either add entities to a 
selection set or make the current pick the selection set

PICKAUTO

Controls automatic windowing when the Select objects: prompt appears. If 
Auto is not the default mode, it can be selected using the keyword Auto

PICKDRAG

Controls how a selection window is created. To specify the diagonal 
corners, you can either use two clicks, or click and drag 

PICKFIRST

Controls how entity selection works so that you can select objects 
first, and then use an edit/inquiry command

PLINEGEN

Controls Polyline linetype elaboration around vertices

PLINEWID

The default polyline width 

PLOTID

Changes the default plotter, based on its assigned description 

PLOTTER

Changes the default plotter, based on its assigned number

POLYSIDES

The default number of sides for the POLYGON command

PSLTSCALE

Controls paper-space linetype scaling 

PSPROLOG

Specifies the PostScript prolog that AutoCAD uses with the PSOUT command

PSQUALITY

Controls the rendering quality of an imported PostScript file

RE-INIT 

Controls the initialization of the I/O ports, digitizer, display, 
plotter, and acad.pgp file

SAVEFILE

The current auto-save file 

SAVENAME 

The filename you save the drawing to 

SAVETIME 

The automatic-save time interval, in minutes 

SCREENBOXES

The number of boxes in the screen menu area of the graphics area

SCREENMODE

A bit code indicating the graphics/text state of the -AutoCAD display 
(graphics mode and dual-screen configuration status)

SHPNAME

The default shape name 

SORTENTS

A bit code that specifies classes of oct-tree traversal operations that 
should return entities sorted in database (entity creation) order 

SYSCODEPAGE

The current system code page 

TABMODE

Controls the use of Tablet mode 

TREEDEPTH

A four-digit code that specifies the number of times the tree-structured 
spatial index may divide into branches. This affects how quickly AutoCAD 
searches the database

UNDOCTL

A bit code that indicates the state of the UNDO feature

UNDOMARKS

The number of marks that have been placed in the UNDO control stream by 
the UNDO command's Mark option 

USERS1-5

Five string variables; accepts embedded spaces

XREFCTL

Controls whether external reference log files (XGL files) are written 

Changed System Variables

The following section describes changes to existing system variables 
between -AutoCAD Releases 11 and 12. Values for most system variables are 
expressed relative to the current User Coordinate System.

System variable differences in Release 12 (continued)

CELTYPE

Read/write

CECOLOR

Read/write

CLAYER

Read/ Write

DIMLFAC

Allows negative numbers to specify scale factor to be used only in paper 
space 

DIMGAP

Allows negative numbers to specify reference dimensions

DIMPOST

Read/write

DIMAPOST

Read/write

TEXTSTYLE

Read/write

VISRETAIN

Extended to allow control of an external reference layer's color and 
linetype

Deleted System Variables

AXISMODE

AXISUNIT

The DXF header variables corresponding to these deleted variables have 
also been deleted.


========================
Release 11, October 1990
========================

The new TILEMODE system variable can be used to enable paper space, 
where Viewports are entities that display views into "model space" 
rather than being simple partitions of the display graphics area. The 
paper space mechanism adds the following capabilities to AutoCAD:

Multiple views of the model can be plotted in a single plot operation, 
complete with additional production drafting graphics, such as sheet 
outlines, title blocks, annotation text, etc.

Viewport-specific layer visibility.

Network support features

A new file-locking system prevents more than one AutoCAD session from 
accessing the same file when it would be possible to corrupt data or 
crash one or more AutoCAD sessions as a result.

Network server authorization allows the installation of a single copy of 
AutoCAD on a network server. The number of users specified at the time 
of purchase can execute AutoCAD on the network server. The maximum 
number of concurrent users can be increased through the purchase of a 
larger license count, for which an authorization code for the larger 
limit is issued. This "floating license" does not apply to versions of 
AutoCAD using workstation authorization codes or hardware locks.

A pair of new system environment variables named -ACADPLCMD and 
ACADPPCMD, in conjunction with the "AUTOSPOOL" default plot filename, 
now allows the -AutoCAD PLOT and PRPLOT commands to invoke plot-spooling 
programs.

A personalization step has been added to the installation. This step 
allows two lines of ASCII text to be added to the executable program 
file. This text is displayed in the Main menu banner (or the equivalent) 
when AutoCAD is invoked. The labels for the strings are "Licensed to:" 
and "Obtained from:". You can't change these strings after installation 
is complete.

Dimensioning enhancements include:

Dimstyle symbol table allows the saving, retrieval, modification and the 
retention of the variable settings for individual Dimension entities.

Ordinate dimensions can now be input with AutoCAD.

Different portions of a dimension entity can now be assigned different 
colors. The colors are controlled by the DIMCLRD, DIMCLRE and DIMCLRT 
variables.

Dimension text can now be moved and edited with the TEDIT subcommand.

Linear dimensions can now be specified with an oblique (non-
perpendicular) angle between the dimension and extension lines.

Dimension subcommands can now be abbreviated to the minimum number of 
characters to uniquely identify the subcommand.

The allowable dimension text gap for linear dimensions to determine the 
position of the dimension line and arrows inside or outside the 
extension lines can now be configured with the DIMGAP variable. The 
clipping of the angular dimension arc against the dimension text box 
also relies on this value.

DIMBLK, DIMBLK1, and DIMBLK2 are now supported for all dimension types, 
not just linear dimensions.

The DIMSCALE variable can now be set to 0.0. This allows you to enter 
dimensions into model space and to scale dimension text and arrowheads 
so that they take on their specified size in paper space rather than 
model space. This is usually what will be wanted when plotting from 
paper space.

Radial and Diameter dimensions now place their text, arrowheads and 
dimension lines in a more flexible (and reasonable) manner.

Angular dimensions can now be acquired with 3 points as well as by 
selecting two line segments.

Tolerance text size can now be scaled relative to the basic dimension 
text size.

Null responses now terminate all dimension subcommands, except where 
noted in the prompt text and documentation.

The new Drawing File Recovery mechanism scans and recovers valid data 
from damaged drawing databases. There is also an AUDIT facility that 
scans drawing databases for invalid or damaged fields. The AUDIT 
facility can be invoked at any time in the editor and can be configured 
to run automatically after certain operations.

External reference drawings can now be dynamically attached to a drawing 
with the XREF command. This allows you to work with other AutoCAD 
drawings without adding them permanently to your drawing and without 
altering their contents.

The ACAD environment variable can now include multiple directories to 
specify a search path for library or support files.

The Advanced Modeling Extension (AME) provides the solid modeling 
capability of AutoSolid from within AutoCAD. Solid entity creation and 
basic editing features are provided in the standard package, while 
advanced features for some platforms can be purchased at additional cost.

The following enhancements have been made to the AUI dialog box 
mechanism:

A line editor was added for use with all dialog box text string fields.

Text strings can now be longer then their dialog box field via 
horizontal scrolling.

Scroll bars are used for inspecting lists.

All dialog boxes that deal with lists now have more than 5 fields, 
ranging from 10 to 15 items at a time.

The arrow cursor is now visible when you point to the AUI menu bar and 
its pull-down menus.

";" characters now denote comments in .pat, .lin and .shp files.

Abbreviations and aliases can now be defined for AutoCAD commands in the 
acad.pgp file.

Eight new text alignment options have been added, so now any combination 
of Top/Middle/Baseline/Bottom and Left/Center/Right is supported.

File search and specification dialog boxes are now optionally available 
for all filename prompts in the AutoCAD drawing editor.

A new command named DDEDIT was added to allow the dialog box line editor 
to be used on Text and Attdef entities.

The Help file can now be arranged to display text appropriate to a 
command subprompt context, as well as for an entire command.

Symbol name and filename listings, both on the text screen and in dialog 
boxes, can now be sorted in all appropriate AutoCAD operations.

A wild-card matching facility has been implemented for searching and 
listing symbol names in all appropriate AutoCAD operations.

Fractional numeric input is now accepted wherever a real number is 
permitted, and can have any denominator (not just powers of 2). In 
addition, decimal feet (6.2') is valid input when Engineering and 
Architectural units are in effect.

Points can now be entered via 3D spherical and cylindrical coordinates.

Polar, spherical, and cylindrical coordinates can be either relative or 
absolute.

Angle values can now be specified in radians and grads by adding the 
proper suffix, even if the current angular units setting is degrees.

The new UNITMODE system variable lets you instruct AutoCAD to display 
fractional, feet-and-inches, and Surveyor's units in the same format as 
is expected for input.

Whenever AutoCAD asks for a filename of a particular type, you can 
include a file type in your response as long as it's the correct type.

Most system variables can now be changed by simply entering their names; 
there's no need to type SETVAR first.

The DDEMODES (Entity creation) dialog box now lets you select a new text 
style.

The TRIM and EXTEND commands now have Undo options.

The new ZOOM Vmax command zooms to the limits of the virtual screen.

The standard menu file supplied with AutoCAD was substantially enhanced.

Parallel I/O ports can be specified during configuration for plotter and 
printer plotter devices.

Handles are now automatically assigned and supported on entities 
contained within block definitions.

The SHADE command was added as a limited shading facility on 256- color 
display devices and as a quick hidden line removal visualization 
facility for display devices that display 16 or fewer colors.

OSNAP now fully operates on Circles, Arcs, and Polyline arc segments 
within uniformly scaled Block References.

There are two new plot optimization settings which specify that 
overlapping vectors should be eliminated or merged in plot operations.

Plots can now be rotated 180 and 270 degrees in addition to 0 and 90 
degrees. 3D (nonplan) views can now be rotated.

The following enhancements have been made to the IGES translator:

Support of paper space and Viewport entity constructs as Drawing and 
View entities, respectively.

Viewport-specific entity visibility.

External drawing references.

New AutoCAD dimension constructs

ordinate dimensions

new styles of radial and diameter dimensions

IGESOUT translates Polyface mesh entities into corresponding 3D Face, 3D 
Line, and 3D Point entities.

Support of other AutoCAD drawing file changes and enhancements.

A Polyface polygon mesh entity was added, with the corresponding PFACE 
command, to allow the addition of arbitrary combinations of face 
entities that share vertices. This allows the storage of such faces in a 
more compact form than the corresponding set of 3D Face entities.

8-bit and extended 16-bit font support has been added for international 
versions of AutoCAD.

The Shape file format has been extended to allow support for Asian 
language translation, where the 16-bit font introduced in Release 10 was 
not sufficient.

The AutoCAD Development System (ADS) was added, providing a compiled 
language programming interface to AutoCAD on most platforms. It was 
supplied with Release 10 for OS/2 only, and has been significantly 
enhanced for Release 11.

The extended entity data (Xdata) facility was added, providing a means 
to attach data to entities, via DXF, AutoLISP and ADS, and group the 
data by "registered application" (regapp) names.

AutoLISP/ADS enhancements

Several new commands are provided in the form of AutoLISP programs, and 
most of the existing AutoLISP programs have been updated.

New functions

The (entmake) function lets a program add entities and block definitions 
to the drawing without using commands. It also allows the replacement of 
existing block definitions.

The (nentsel) function allows the selection of entities nested within 
block definitions, individual polyline vertices and individual block 
attributes for application-specific purposes, in addition to entities 
selectable via the (entsel) function.

The (wcmatch) function compares a string against a wild-card pattern 
specification and returns a status to indicate whether it matches or not.

The (cvunits) function and corresponding -acad.unt file allows conversion 
between different units of measurement.

The (xload), (xunload) and (ads) AutoLISP functions manage the loading, 
unloading, and listing of ADS programs.

Changes to existing functions 

The (entget) function now allows the specification of (regapp) names to 
retrieve Xdata for an entity.

The (entmod) function operates on entities within block definitions, and 
also allows one to selectively add or replace Xdata by (regapp) name.

The (ssget "x") mechanism now accepts wild-card pattern specifications 
for supported name group codes (0, 2, 6, 7, and 8).

The (handent) function can now access handles for entities nested within 
block definitions.

The ADI (Autodesk Device Interface) Version 4.1 upgrade was provided 
primarily to facilitate optimal usage of display drivers when using the 
paper space facility in AutoCAD. Other enhancements and bug fixes were 
also made.

TILEMODE System Variable

Changing the TILEMODE setting has no effect on the entities already in 
your drawing.  Thus, turning TILEMODE on doesn't guarantee that existing 
scripts or programs will run if you've used Release 11's new commands to 
create -Viewport entities or other objects in paper space; neither will 
they run if files you're importing (using DXFIN or IGESIN) make use of 
the new capabilities. To ensure compatibility with scripts or other 
macros created for Release 10,  you should observe the following 
guidelines:

Create new drawings from a prototype that has TILEMODE on. This prevents 
any viewport entities, including the paper space viewport, from being 
created. You can use the VPORTS command to create, store, and retrieve 
viewport configurations.

Turning TILEMODE on in a drawing that already has Viewport or other 
paper space entities, allows you to use the VPORTS command to store and 
retrieve saved viewport configurations, but does not eliminate -paper 
space objects or viewports. This provides command-level compatibility, 
but not database-level compatibility.

Other scripts or AutoLISP programs that do not use the VPORTS command or 
directly manipulate the VPORTS symbol table should run without change, 
regardless of the TILEMODE setting.  Scripts or AutoLISP programs that 
are designed for use in Release 11 and that use the new features might 
behave incorrectly if TILEMODE is on (such programs should check and set 
-TILEMODE as necessary). 

DXFOUT will always output the paper space-specific header variables, 
regardless of TILEMODE's setting. Once TILEMODE has been turned off in a 
drawing, DXFOUT will output the viewport entities that have been 
created, even if -TILEMODE has been turned back on. 

When TILEMODE is off, display list operations in existing ADI drivers 
are disabled. This should allow the majority of ADI drivers to continue 
to function, but some drivers perform screen operations not requested by 
AutoCAD and these may have problems. With TILEMODE on, all ADI drivers 
should operate the same way they did for Release 10.

The following sections list the commands and system variables affected 
by the TILEMODE system variable, and describe its effects. For a 
description of -TILEMODE's effects on AutoLISP and ADS functions, see the 
appropriate Programmer's Reference.

Commands Affected by TILEMODE

The following section lists the commands affected by the TILEMODE system 
variable.

Commands affected by TILEMODE

`DDLMODES

Tilemode = 0 (R11 mode): Viewport visibility changes take effect when 
you exit the dialog box

Tilemode = 1 (R10 mode): Viewport freeze and thaw settings cannot be 
changed

DXFIN

Tilemode = 0 (R11 mode): If the incoming exchange file has TILEMODE=1, 
then all entities are placed in the model space of the target drawing

Tilemode = 1 (R10 mode): If you import a full drawing with TILEMODE=0 
into a new drawing that has TILEMODE=1, it uses the TILEMODE setting of 
the incoming exchange file and enables paper space use

MSPACE

Tilemode = 0 (R11 mode): Puts you in model space

Tilemode = 1 (R10 mode): Is not allowed, and terminates an AutoLISP 
function or script

MVIEW

Tilemode = 0 (R11 mode): Activates paper space and allows the creation 
and control of Viewport entities

Tilemode = 1 (R10 mode): Is not allowed, and terminates an AutoLISP 
function or script

PSPACE

Tilemode = 0 (R11 mode): Puts you in paper space

Tilemode = 1 (R10 mode): Is not allowed, and terminates an AutoLISP 
function or script

`VIEW

Tilemode = 0 (R11 mode): Restores the space in effect when the view was 
saved

Tilemode = 1 (R10 mode): Saved paper space views cannot be restored. The 
rejection is similar to restoring a named view that doesn't exist

VPLAYER

Tilemode = 0 (R11 mode): Allows the assignment of viewport-exclusive 
layer visibility

Tilemode = 1 (R10 mode): Is not allowed, and terminates an AutoLISP 
function or script

VPORTS

Tilemode = 0 (R11 mode): Is not allowed, and terminates an AutoLISP 
function or script

Tilemode = 1 (R10 mode): Works the same way as in Release 10

\x120012đCtrlŠ\x120012\x120012+\x120012\x120012đVŠ\x120012 

Tilemode = 0 (R11 mode): Cycles through active viewports

Tilemode = 1 (R10 mode): If there are viewports on screen, it cycles 
through them

ZOOM

Tilemode = 0 (R11 mode): You can use the XP option to set a paper space 
zoom ratio

Tilemode = 1 (R10 mode): The XP option has no effect

System Variables Affected by TILEMODE

The following section lists the system variables affected by TILEMODE.

System variables affected by TILEMODE

EXTMAX, EXTMIN, LIMCHECK, LIMMAX, LIMMIN, UCSNAME, UCSORG, UCSXDIR, 
UCSYDIR

Tilemode = 0 (R11 mode): For all of these variables, these settings 
apply only to the current space independently of the other space. The 
values of these system variables are written as separate HEADER 
variables when output by DXFOUT

Tilemode = 1 (R10 mode): These variables have the same effect as in 
Release 10

Command Differences

Most commands that request filenames can now use dialog boxes. Most 
commands that list symbols can now be directed to sort the listings 
alphanumerically.

The following section describes the changes made to existing commands 
between AutoCAD Releases 10 and 11. Unless noted otherwise, coordinate 
input to all commands is relative to the current UCS.

Command differences in Release 11  (continued)

3DLINE

3DLINE command has been removed. 3D Line entities are automatically 
converted into Line entities for existing drawings

ATTDEF

The text acquisition portion of this command has been updated with a new 
prompt that allows selection of the new text alignment options. However, 
you can still enter Release 10 options, such as Center, Middle, Right, 
Fit, etc. at the Justify/Style<start point> prompt

ATTEDIT

Accepts wild-card pattern lists at specification prompts

BLOCK

Accepts wild-card pattern lists for block names to list. Also, 
additional information about block types is reported

CHANGE

You can't change the layer of an object using the CHANGE command. You 
can use CHANGE Properties and CHPROP to change the layer of selected 
entities. The CHANGE elevation and CHANGE properties elevation options 
have been removed. You can use the MOVE command instead

DBLIST

Displays the space that entities are in. Viewport entities are listed, 
along with their ACTIVE/INACTIVE/ON/OFF status. New dimension types are 
listed, the dimension style for an associative dimension (if present) is 
listed, and the coordinates for user positioned dimension text are 
reported

`DDEMODES

There is a new text style selector button for setting the current text 
style

`DDLMODES

Now allows the assignment of viewport visibility for layers

DDUCS

Sets the UCS options for the current space

DIM

The RADIUS and DIAMETER subcommands now issue an additional prompt in 
some situations. This may cause failure of some old scripts and AutoLISP 
programs that use these commands

DTEXT

A new prompt provides access to new alignment options

DXFIN,
DXFOUT

DXF files have been extended to contain:

New header variables

Group 30 (Z coordinate) values for EXTMAX, and EXTMIN

The new Viewport entity 

Extended Entity Data (XDATA)

New fields for Block definitions

The new Dimstyle and Appid symbol tables

New Polyline flags and values for Polyface mesh entities

DXFIN - All non-baseline/left-justified Text, Attrib, and Attdef 
entities read from the DXF file are now rejustified. DXFOUT will never 
output more than 16 significant digits for any value, regardless of the 
level of precision requested. The value -0.0 will no longer ever occur

EXTEND

An Undo option has been added

FILES

There is a new option on the Files menu for unlocking files

FILLET

When filleting two Lines that cross, AutoCAD now retains the "picked" 
line segments. In previous versions, the shorter ends were trimmed no 
matter which points you used to select the Lines

HATCH

The ? option now prompts you for the pattern(s) to list, at which a wild-
card pattern list is accepted. You can also enter a scale relative to 
paper space by using the XP option

`help/'?

Can now be called at subprompts for context-sensitive help

IGESIN,
IGESOUT

Now handles additional entity types, including external references and 
Viewport entities

INSERT

A tilde (~) can be entered at the Block name prompt to display a File 
Dialog box, and wild-card pattern lists are accepted at the "Blocks to 
List" prompt

LAYER

Extended wild-card pattern lists are now accepted at the "Layers to 
List" prompt

LIMITS

Now sets limits for the current space, storing those values in the 
appropriate header variables

LINETYPE

Wild-card pattern lists are accepted at the "Linetypes to List" prompt

LIST

Same as DBLIST (see earlier section)

MINSERT

A tilde (~) can be entered at the Block name prompt to display a File 
Dialog box, and wild-card pattern lists are accepted at the "Blocks to 
List" prompt

MSLIDE

Making a slide while in paper space creates a slide showing the contents 
of whatever viewports are visible, active, and on. Making a slide while 
in model space creates a slide of the current viewport only

OSNAP

Running Osnap modes are now ignored during entity selection

PLOT/PRPLOT

Plots started from model space plot only the current viewport. Plots 
started from paper space displays the contents of those viewports that 
are visible, active, and on. 3D plots can now be rotated. There are also 
additional plot rotation options

PURGE

Now purges specified unreferenced Dimension Styles also

RENAME

Now allows the renaming of Dimension Styles and external references

`SETVAR

The ? option now accepts wild-card pattern lists for the variables to 
list. Additionally, setting certain variables sets the variable 
appropriate for the current space. In most cases, you can change a 
variable by typing its name without first entering `SETVAR

SHAPE

Wild-card pattern lists are accepted when listing loaded shapes. The 
listing also indicates if a shape definition is dependent on an external 
reference

STYLE

Allows wild-card pattern lists to be used when specifying text styles to 
list. Additional big-font capabilities have also been added

TABLET

Tablet calibration is effective only in the space where the calibration 
was performed

TEXT

A new prompt provides access to new alignment options

TRIM

An Undo option has been added

UCS

A wild-card pattern list is accepted at any of the ? option "UCSs to 
List" prompts

`VIEW

Saving a named view also saves the space that that view was created in, 
and that space is restored if the view is restored. Also, wild-card 
pattern lists are accepted when listing named views

VIEWPORTS or VPORTS

These commands are not active if TILEMODE is set to 0. If TILEMODE is 
nonzero, then these commands work as they did in Release 10, with the 
addition of accepting wild-card pattern lists when listing saved 
viewport configurations

WBLOCK

Entities written out with WBLOCK are placed into the model space of the 
output drawing unless the "*" option is used, in which case entities are 
placed in the same space they are currently in. Also, the "*"option will 
cause all entity handles, named views, UCS's, and viewport 
configurations to be retained

`ZOOM

The new option, Vmax, zooms to the limits of the virtual screen's 32K 
display space. This displays the maximum drawing area possible without a 
regeneration. The new option, XP, scales the magnification of a model 
space view relative to paper space 

System Variable Differences

This section describes the changes made to existing system variables 
between AutoCAD Releases 10 and 11. Values for most system variables are 
expressed relative to the current User Coordinate System.

System variable differences in Release 11

CECOLOR

In Release 10, this string contained "BYLAYER," "BYBLOCK," a color 
number (for example, "15"), or a standard color number and name (as in "1 
(red)"). The last form has been dropped, so applications no longer need 
to cope with its embedded blank. The standard colors now appear simply 
as "1" - "7"

DIMxxx

DIMBLK, DIMBLK1 and DIMBLK2 are now used for angular dimensions. DIMTIX 
and DIMTOFL control the style of Radius or Diameter dimension created. 
DIMSCALE can now be set to 0 to invoke paper space scaling

ELEVATION

Sets the 3D elevation, relative to the current UCS, for the current 
space (paper or model)

EXPERT

If set to 5, now suppresses additional prompts

EXTMAX/EXTMIN

Drawing extents expressed in 3D World coordinates for the current space

FLATLAND

Can be read, but can be set only to 0. It is forced to 0 when an 
existing drawing is read in

LASTANGLE

Point is expressed for the current space

LASTPOINT

Point is expressed for the current space

LASTPT3D

Discontinued feature. Use LASTPOINT instead

LIMCHECK

Status reported or set for the current space

LIMMAX/LIMMIN

Drawing limits expressed in 2D World coordinates for the current space

OSMODE

Running Osnap modes are now ignored during entity selection

PLATFORM

Indicates which version of AutoCAD is in use

UCSFOLLOW

Ignored while in paper space (always in plan view)

UCSNAME/UCSORG/UCSXDIR/UCSYDIR

Always reported and set for the current space

VPOINTX/VPOINTY/VPOINTZ

Discontinued. Use VIEWDIR (a 3D point)


========================
Release 10, October 1988
========================

The LINETYPE Load command updated to load several linetypes from the 
library file at once.

Restrictions on use of the PURGE command have been relaxed.

A binary form of DXF file supported.

ZOOM Previous expanded to restore the last ten views.

The Configurator updated to always allow I/O port configuration.

ADE-1 and ADE-2 were merged into ADE-3. New ADE-3 features included:

VIEWPORTS (or VPORTS) command for control of multiple viewports (for 2D 
as well as 3D applications). REDRAWALL and REGENALL commands operate on 
all active viewports.

Optional permanent handles for all entities, controlled by the HANDLES 
command. Handles can be extracted and stored in an external database 
related to the drawing. The entities to which the handles refer can be 
retrieved by AutoLISP routines.

A new CHPROP command streamlined the changing of entity properties.

New dimensioning variables were added to permit greater control over 
dimension arrows and the placement of dimension lines and text. New 
Dimzin values were added for suppression of leading and trailing decimal 
zeroes.

PEDIT updated to generate quadratic and cubic B-splines.

Additional 3D capabilities:

Any entity can be drawn anywhere in space, rotated and tilted in any 
manner you wish, using the UCS and DDUCS commands to control the User 
Coordinate System. The UCSICON command controls display of an icon that 
helps you visualize the orientation of the current UCS.

Any or all of a 3D Face's edges can be made invisible.

Fast zoom mode updated to work in 3D views as well as in plan view.

The PLAN command expanded to generate a plan view of a specified UCS.

The DVIEW command extended to allow you to view your 3D drawings in 
proper perspective.

The LINE command extended to draw 3D lines.

3DPOLY, 3DMESH, RULESURF, TABSURF, REVSURF, and EDGESURF commands for 
construction of 3D Polylines and polygon meshes. PEDIT extended to 
handle editing and surface-fitting for these new entities.

AutoLISP enhancements:

An optional version of AutoLISP made available for use with AT®-style 
extended memory.

3D-point translation functions provided.

(findfile) searches the library path to locate the specified file, 
returning the full filename.

(load) extended to search the library path to locate and load the 
specified file. Also, (load) can now be used from within another 
function.

A user-defined start-up function added to run automatically when 
acad.lsp is loaded.

(getenv) returns the value assigned to the specified system environment 
variable.

Given the permanent handle for an entity, (handent) retrieves that 
entity's current name.

(vports) retrieves active viewport data.


=========================
Release 9, September 1987
=========================

This was the first version of AutoCAD to require an 80x87 math 
coprocessor in computers based on the Intel® 8086 family of 
microprocessors.

All files produced by this version of AutoCAD made compatible among all 
supported computers.

Box, Auto, and Single object-selection modes added.

Block insertion presets for scale and rotation added.

The MULTIPLE command modifier added.

New ACADLIMEM environment variable for expanded memory control added (on 
DOS systems only).

Menu items amended to repeat automatically.

Twenty additional text fonts added.

Attribute value requests during Insert allowed to be suppressed.

A "preset" property added for Attributes.

Creation of slide libraries added.

An Advanced User Interface added, incorporating a menu bar, pull-down 
menus, icon menus, and dialog boxes.

The DDEMODES, DDLMODES, and DDRMODES commands added to permit entity 
properties, layer properties, drawing aids to be set using dialog boxes.

The new DDATTE command added to permit Attribute editing to be done 
using a dialog box.

Attribute values requested during INSERT allowed to be entered using a 
dialog box.

Spline curves drawing permitted.

Crossing object selection boxes drawn as dotted lines.

A Rotate option was added to the VPOINT command.

3D Osnap extended to snap to the tops of extruded objects.

Built-in commands allowed to be undefined and redefined.

Provisions for 3D Lines and 3D Faces added to the DXB file format.

AutoLISP enhancements:

A pause capability added for the (command) function

(ssget) filters added

Very large selection-sets handling added


===================================
Version 2.6 (Release 8), April 1987
===================================

The ZOOM, PAN, VIEW, and REDRAW commands allowed to be used 
transparently.

X/Y/Z point filtering added.

The AREA command was enhanced to compute the area of specified circles 
and Polylines, and to keep running totals.

You can now configure a default plot filename, a spooling directory for 
plot files, a directory for AutoCAD temporary files, and a unique 
network node name.

New ACADXMEM environment variable for extended memory control added (on 
DOS systems only).

Handling of the \ character in menu items revised to better cope with 
transparent commands.

Associative dimensioning added.

The DIMZIN dimensioning variable was enhanced.

A general dimensioning suffix facility was added.

A fractional mode added to the UNITS command.

3D Line and 3D Face entities added (3D Level 2).

The FILMROLL command added for production of files to be rendered by 
AutoShade.

AutoLISP Enhancements:

An append mode supported when opening files.

The (rtos) function modified to use the setting of Dimzin.

3D points now handled.

New user input functions (getkword), (getcorner), and (initget) added


==================================
Version 2.5 (Release 7), June 1986
==================================

ZOOMs and PANs usually much faster than in previous versions.

Faster menu loading, larger menu capacity, enhanced keyboard access to 
screen menu.

Immediate context-sensitive Help.

Most commands enhanced to recover from invalid input and reprompt.

New generalized UNDO/REDO facility.

New Crossing and Previous object selection options, and variable-size 
target.

Setting of color and linetype per entity, independent of the entity's 
layer added.

New CHANGE Properties command for changing common entity properties.

Construction of polar (circular) arrays simplified.

New SETVAR command for immediate access to system variables.

New VIEWRES command controls display resolution of circles and arcs.

New SELECT command just creates a selection-set that can be referenced 
as Previous by subsequent commands.

PLOT and PRPLOT output can be directed to a file.

The POINT command extended to support several point display formats.

The COPY command extended to make multiple copies.

New TIME command, drawing creation/update times, and user-controlled 
elapsed timer.

New Snap option for GRID command (equivalent to Grid 0).

Text enhancements:

New Middle and Fit justification modes.

Fonts with thousands of characters supported.

The STYLE command enhanced to set the style as current.

Fonts can be constructed for use in both horizontal and vertical styles.

New arc/polyarc descriptions for text fonts and shapes.

A new DXFOUT option added to allow you to write a partial DXF file 
containing only the selected objects. DXFIN can be used to load a 
partial DXF file into an existing drawing.

A user-changeable signon message facility added.

TEXTSCR, GRAPHSCR, and RESUME can now be used during another command.

REPEAT/ENDREP replaced by MINSERT.

ENDSV now equivalent to END (no longer saves vector file).

Extended memory utilized (on computers that support it).

New LAYER Make option, like Set but creates layer if necessary.

Angles can be entered and displayed in surveyor's units.

You can select any angle to be the zero angle, and can choose either 
clockwise or counterclockwise as the direction for increasing angles.

A << prefix can be used to enter an angle using the standard degrees 
notation (ignoring the Units modes).

Fillet now works with arcs and circles.

New Snap option for AXIS command (equivalent to Axis 0).

Dimensioning enhancements:

New capability to define your own dimensioning arrows via Blocks.

New variables control editing of zero-inches distances, rounding of 
dimensioning measurements, a global scale factor for all measured 
distances, and dimension line extension when ticks are used instead of 
arrows.

Dual dimensioning annotates in feet and inches and metric units.

You can add a prefix and a suffix to the automatic dimension text.

New Dim1 command returns to the Command: prompt after one dimensioning 
command.

A null reply to the Dim: prompt now repeats the last dimensioning 
command.

Dragging more responsive, and can be set to drag automatically. Drag 
requests now permitted earlier in many commands; dragging begins as soon 
as all required data is entered.

The Mirror line can be at any angle.

Text items can be handled specially by Mirror.

The Tangent and Perpendicular object snap modes when specifying the 
From: point for a line or when specifying a point on the circumference 
of a circle. Using this feature, you can construct a line tangent to two 
circles, a line tangent to a circle and perpendicular to another line, a 
circle tangent to three other circles or lines, and so on.

A new Circle option permits construction of a circle of a specified 
radius, tangent to two existing lines or circles.

A new Attext option allows you to extract the Attributes of only the 
selected objects.

Rectangular arrays can be rotated via the Snap rotation angle.

Access to the entity database and input devices added to the AutoLISP 
programming language (first introduced in Version 2.18).

New Dynamic option for ZOOM, provides graphic method for zooming and 
panning.

New DTEXT command for dynamic multiline text generation.

New EXPLODE command splits Blocks and Polylines into their component 
entities.

New TRIM command cuts objects to intersect cleanly with other objects.

New EXTEND command extends lines, arcs, and Polylines to meet other 
objects exactly.

New STRETCH command to move part of a drawing while retaining 
connections with other portions of the drawing.

New OFFSET command for constructing offset/parallel lines, arcs, and 
Polylines.

New ROTATE and SCALE commands for rotating, shrinking, and enlarging 
existing objects.

New POLYGON, ELLIPSE, and DOUGHNUT commands simplify the construction of 
regular polygons, ellipses, and filled circles or rings.

You can now BREAK a Polyline.

New DIVIDE and MEASURE commands let you place markers along the length 
of an existing object, either at measured intervals or dividing the 
object into equal parts.

DXB format was extended to include provisions for circles, arcs, and 
floating-point values.


=================================
Version 2.1 (Release 6), May 1985
=================================

Interactive object selection. You can select objects in multiple 
windows, and add or remove objects from the selection-set before 
submitting the set to any edit/inquiry command.

Directory pathnames are now honored on all filenames, and you can 
maintain multiple drawing directories or multiple AutoCAD configurations.

Revised and enhanced the PLOT routine.

Plots can now be rotated 90 degrees.

Optimized the changing of plotter pens and further optimized pen 
movement.

Multiple pens can now be used with single-pen plotters; -AutoCAD will 
pause and prompt you to change the pen manually.

Added printer plotter output (PRPLOT command).

New LIMITS On/Off options allow you to turn the limits check off 
entirely.

A new BLIPMODE command permits control over the drawing of marker blips.

A prototype drawing is now used to establish the initial environment 
(limits, modes, etc.) for a new drawing. You can create as many 
prototype drawings as you wish.

QTEXT now produces a rectangle rather than two parallel lines.

You can now copy files from the File Utility menu (Files command).

The DELAY command has been calibrated to delay about 1 millisecond per 
increment.

New GRAPHSCR and TEXTSCR commands permit scripts and menu items to flip 
between the text and graphics displays on single-screen systems.

The CHAMFER command was added.

You can use the UNITS command to select display and input of angles in 
grads or radians.

BREAK now allows a zero-length break, splitting an object into two 
entities.

FILLET was extended to handle Polylines (see later).

The VIEW command has a new Window option, permitting you to define a 
named view without first zooming in to that view.

3D Level 1 for 3D visualizations with optional removal of hidden lines 
(ELEV, VPOINT, and HIDE commands). 3D visualizations can be edited and 
plotted just like 2D drawings.

Polylines (PLINE and PEDIT commands), with curve-fitting capability.

New Freeze and Thaw options for the LAYER command.

Objects can be highlighted during the selection process.

User-supplied programs and operating system utilities can be executed as 
external commands while running AutoCAD.

CAD/camera support (DXBIN command).

You can define variables to hold integers, reals, strings, and points, 
and can use these variables (along with predefined system variables) in 
arithmetic expressions. These expressions can be entered in response to 
AutoCAD data prompts.

The full AutoLISP programming language was included in Version 2.18 
(January, 1986), which was otherwise one of a series of minor updates. 
AutoLISP extended the variables and expressions feature to let you write 
and store LISP programs that implement custom commands.


=====================================
Version 2.0 (Release 5), October 1984
=====================================

Added dot/dash linetype capability (LINETYPE, LTSCALE, and LAYER Ltype 
commands).

Layers extended to have user-chosen names, with no limit to the number 
of layers in a drawing.

Multiple text fonts and Shape files can be used in a drawing.

Text styles: obliquing, mirroring, and expansion/compression may be 
applied to a text font (STYLE command).

Text may be underscored or overscored.

Added quick text mode (QTEXT command).

Up to four tablet menu areas can be defined.

A separate menu provided for the buttons on multibutton pointing devices.

Menus may be segmented into submenus that can be invoked to display the 
options for particular commands.

Standard colors can be specified by number or by name.

Traces and Solids now filled even if partially off screen.

Faster loading of shapes and fonts due to shape/font compiler.

The area of a digitizing tablet used for screen-pointing now 
configurable.

Undo feature added to LINE command.

The meaning of the PAN command's displacement has been reversed.

New DXFIN and DXFOUT commands replaced the Main menu tasks to load and 
create drawing interchange files.

In previous versions, item rotation for a circular array worked only if 
the only item in the array was a Block. This restriction has been lifted.

Enhanced script mechanism (SCRIPT and RSCRIPT commands).

The AREA command extended to display the perimeter.

The DIST command extended to display the angle and delta-X/Y between two 
points.

The LIST and DBLIST commands display length, angle, and delta-X/Y for 
lines; area and circumference for circles.

Added ENDSV command to save vector file upon exit.

New SAVE command to save changes without exiting the drawing editor.

New slide-show viewing facility (VSLIDE command).

New slide-creation capability (MSLIDE command).

Dimensioning enhanced to provide angular dimensioning, arc/circle 
diameter and radius, dimension lines at any desired angle, and several 
other requested features.

Angles in degrees, minutes, and seconds (UNITS command enhancement).

Length and angle display of rubber band in status line.

The parameters used on the HATCH command are remembered and presented as 
defaults on the next HATCH command. A repeat capability also added; it 
asks for another area to hatch using the same pattern.

Hatching of figures bounded by arcs improved.

Dynamic specification (dragging) for ARC, CIRCLE, SHAPE, INSERT, CHANGE, 
COPY, and MOVE commands.

Object snap (OSNAP command) for snapping to reference points of existing 
objects.

Object mirroring (MIRROR command).

Named views (VIEW command).

Snap, Grid, and Axis may be rotated, offset, or given differing X and Y 
spacings. The snap offset can be used to vary the alignment of hatch 
patterns.

Isometric grid/snap capability (SNAP Style Iso and ISOPLANE commands).

New MSLIDE command makes slides for slide show facility.

For some display devices, the screen menu and the text-prompt area can 
be disabled, by means of the AutoCAD configuration process, to provide a 
larger area for graphics.

For some display devices, a SNAPSHOT command is provided to erase menus 
and prompts from the screen temporarily and center the graphics image 
for photographic purposes.

New Attributes feature. Attributes associate textual information with 
Block Definitions, and prompt for appropriate values at insertion time. 
The text may be visible or invisible.

Global or individual editing of Attributes is available.

Extraction of attributes from the drawing for transfer to a database 
program allowed.


=====================================
Version 1.4 (Release 4), October 1983
=====================================

LINE command enhancements (automatic polygon close, start line at end of 
last line or arc).

Alternate arc and circle specifications.

ZOOM enhancements (Previous, Extents, magnification relative to current 
magnification).

New ARRAY facility, including circular arrays.

Block enhancements (WBLOCK command writes Block to file, Blocks can be 
redefined).

Specification of text size by width of area allowed (Aligned).

New text fonts supplied.

Vertical alignment of text for vertical dimensions.

Control keys to toggle Snap, Grid, Ortho, and Tablet modes.

Insert rotation angle governed by Ortho mode.

Display snapped crosshairs if Snap mode is on.

Enhanced shape definitions (X-Y displacements, arcs).

Specification of REPEAT or ARRAY column/row distance using two corners 
of a rectangle.

FILES command and new Main menu task for access to disk file directories.

The grid no longer automatically rescaled.

Command script facility.

New mode/coordinate status line.

HATCH command for crosshatching and pattern filling.

SKETCH command for free-hand drawing.

AXIS command to display ruler lines.

UNITS command for feet-and-inches input and display.

BREAK command to delete part of a line, trace, circle, or arc.

FILLET command to connect two lines with a smooth arc.


====================================
Version 1.3 (Release 3), August 1983
====================================

Configuration facility added.

Layer-to-layer move via CHANGE command added.

Rubber-band and box cursors implemented.

New right-justified text ability.

Removed 40-item limit from menus.

Adjustment of plot origin and alignment.

Typing grid spacing to the snap interval permitted.

CHANGE command for Text entities.

Large plotter support added.

Enhanced HELP command.

Header information included in DXF file.

New Drawing dialog moved to Configurator, along with selection of 
plotter model and default menu file.

Standardized color numbers.


===================================
Version 1.2 (Release 2), April 1983
===================================

A Dimensioning facility added as an extra-cost option.


======================================
Version 1.0 (Release 1), December 1982
======================================

This was the initial release of AutoCAD. It was demonstrated at the 
COMDEX trade show (Las Vegas, November, 1982). Deliveries began the 
following month.
